export default function deepMerge(target, source) {
    const output = { ...target };
    for (const key of Object.keys(source)) {
        if (typeof source[key] === 'object' && source[key] !== null) {
            if (!(key in target)) {
                output[key] = source[key];
            }
            else {
                output[key] = deepMerge(target[key], source[key]);
            }
        }
        else {
            output[key] = source[key];
        }
    }
    return output;
}
//# sourceMappingURL=deep-merge.js.map