type AnyObject = Record<string, any>;

export default function deepMerge(target: AnyObject, source: AnyObject): AnyObject {
  const output = {...target};
  for (const key of Object.keys(source)) {
    if (typeof source[key] === 'object' && source[key] !== null) {
      if (!(key in target)) {
        output[key] = source[key];
      } else {
        output[key] = deepMerge(target[key], source[key]);
      }
    }
    else {
      output[key] = source[key];
    }
  }
  return output;
}
